Application: gvSIG desktop - gvSIG bugs #2364

Error in legend when more than one layer is loaded in a WMS layer
02/24/2014 12:15 PM - Mario Carrera

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category:

Target version:

2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

When a WMS layer is loaded with two or more layers, the legend is not loaded at the TOC. The gvSIG.log file is attached.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 1583: Leyend... New 01/30/2013

History

#1 - 02/24/2014 12:20 PM - Alvaro Anguix
- Assignee set to Ignacio Brodin

- Target version set to 2.1.0-2221-testing

- gvSIG build set to 2220

#2 - 02/24/2014 03:31 PM - Ignacio Brodin
- Status changed from New to Awaiting response
The error that shows gvSIG.log does not have anything to do with the legend. On the other hand, exists a known problem with legends with grouped

layers and a the feature request was opened here:

https://devel.gvsig.org/redmine/issues/1583

Could you set here the steps to reproduce the error?

#3 - 02/24/2014 03:44 PM - Mario Carrera
- File wmsGetLegendGraphic13932528285483 added

The steps are the following:

- Connect to this WMS layer: http://cartoweb.cma.gva.es/arcgis/services/espacios _protegidos/MapServer/WMSServer

- Load "ZEPAs" and "Paisajes protegidos" layers, in jpeg format and 23030 (it happens when 2 layers are losded in the same WMS layer).

They are loaded but the legend doesn't appear in the TOC. | attach the file extracted from tmp-andami, that is indicated at the console.
https://devel.gvsig.org/redmine/issues/1583
http://cartoweb.cma.gva.es/arcgis/services/espacios_protegidos/MapServer/WMSServer

#4 - 02/24/2014 04:07 PM - Alvaro Anguix

- Status changed from Awaiting response to Invalid

Como dice Nacho esté registrado como FRequest, ya que realmente no arroja ningun error..
Paso este a invalido al estar duplicado.

Files
gvSIG.log 419 KB 02/24/2014 Mario Carrera
wmsGetLegendGraphic13932528285483 436 Bytes 02/24/2014 Mario Carrera
